Last modified: 2014-07-23 21:27:59 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 60459 - Remove deprecated $wgCopyrightIcon
Remove deprecated $wgCopyrightIcon
Status: PATCH_TO_REVIEW
Product: MediaWiki
Classification: Unclassified
General/Unknown (Other open bugs)
1.23.0
All All
: Low enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: 59113
  Show dependency treegraph
 
Reported: 2014-01-27 00:50 UTC by GuyMontag
Modified: 2014-07-23 21:27 UTC (History)
2 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description GuyMontag 2014-01-27 00:50:36 UTC
Per Bug 59113 we looked around the code for things that have been deprecated
and found $wgCopyrightIcon at includes/DefaultSettings.php:5812
Comment 3 andnlnbn18 2014-01-28 13:58:49 UTC
Can I work on it?
Comment 4 Tony Thomas 2014-01-28 14:15:22 UTC
(In reply to comment #3)
> Can I work on it?
Prepare the patch! 
http://www.mediawiki.org/wiki/Gerrit/Tutorial
Comment 5 Gerrit Notification Bot 2014-01-28 15:10:48 UTC
Change 109896 had a related patch set uploaded by Lekshmi:
Changed deprecated $wgCopyrightIcon

https://gerrit.wikimedia.org/r/109896
Comment 6 Gerrit Notification Bot 2014-01-28 15:29:01 UTC
Change 109903 had a related patch set uploaded by Lekshmi:
Changed deprecated $wgCopyrightIcon

https://gerrit.wikimedia.org/r/109903
Comment 7 Gerrit Notification Bot 2014-01-28 15:32:21 UTC
Change 109896 abandoned by Lekshmi:
Changed deprecated $wgCopyrightIcon

Reason:
Abandoned due to rebase error

https://gerrit.wikimedia.org/r/109896
Comment 8 Andre Klapper 2014-04-23 17:10:54 UTC
Lekshmi: Do you plan to improve https://gerrit.wikimedia.org/r/#/c/109903/ ?
Comment 9 andnlnbn18 2014-04-25 08:11:20 UTC
Andre: I got a comment on 14th patch as  "This migration has to happen in two steps: First of all $wgFooterIcons['copyright']['copyright'] and $wgCopyrightIcon have to be made fully compatible/ equivalent. Then we can update Wikimedia's configuration etc. Later on the backwards compatibility can be removed, but no earlier than in the next MediaWiki version (I'd even suggest waiting two versions here)."   

Does this mean it'll take more time for changes to get commited?
Comment 10 Gerrit Notification Bot 2014-07-23 21:27:59 UTC
Change 148570 had a related patch set uploaded by Withoutaname:
Remove deprecated $wgCopyrightIcon

https://gerrit.wikimedia.org/r/148570

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links